---
updatedAt: 2026-08-19T01:09:45.000Z
agentTools:
  projectIndex: https://docs.noves.fi/llms.txt
---

# /{chain}/parties/{party}/flows

Returns a party overview with its largest counterparty inflows and outflows, totals for the requested window, reward profitability after traffic costs, and balance history for the same period.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Canton API",
    "description": "Query public and private Canton updates, balances, prices, rewards, verdicts, and Featured App activity. Create stream subscriptions and alerts for ongoing delivery.",
    "version": "v1"
  },
  "servers": [
    {
      "url": "https://api.canton.noves.fi/"
    }
  ],
  "paths": {
    "/{chain}/parties/{party}/flows": {
      "get": {
        "tags": [
          "Party Flows"
        ],
        "summary": "/{chain}/parties/{party}/flows",
        "description": "Returns a party overview with its largest counterparty inflows and outflows, totals for the requested window, reward profitability after traffic costs, and balance history for the same period.",
        "parameters": [
          {
            "name": "chain",
            "in": "path",
            "description": "Canton chain name. Use a name returned by `GET /chains`.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "canton",
              "example": "canton"
            }
          },
          {
            "name": "party",
            "in": "path",
            "description": "Full Canton party ID whose flows are requested.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "noves-validator-1::1220dd5cc6e969cd7d7c11e339fbd07fab5f6fa1f999dc09339228d17299d9d68941",
              "example": "noves-validator-1::1220dd5cc6e969cd7d7c11e339fbd07fab5f6fa1f999dc09339228d17299d9d68941"
            }
          },
          {
            "name": "startTimestamp",
            "in": "query",
            "description": "Start of the requested time window, as Unix seconds. Optional.",
            "style": "form",
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "endTimestamp",
            "in": "query",
            "description": "End of the requested time window, as Unix seconds. Optional.",
            "style": "form",
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Maximum number of counterparties returned in each direction. Default is 10; maximum is 100.",
            "style": "form",
            "schema": {
              "maximum": 100,
              "minimum": 1,
              "type": "integer",
              "format": "int32",
              "default": 10
            }
          },
          {
            "name": "includeOtherBucket",
            "in": "query",
            "description": "Whether to group activity outside the returned counterparties into an `other` entry. Default is true.",
            "style": "form",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "apiKey",
            "in": "header",
            "description": "API Key for Canton API. To generate an API Key, visit https://app.noves.fi",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "demokey"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DynamicPartyFlowsResponseDto"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "DynamicPartyFlowsResponseDto": {
        "type": "object",
        "additionalProperties": {}
      },
      "ProblemDetails": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          }
        },
        "additionalProperties": {}
      }
    }
  }
}
```